Python
from everos_cloud import EverOS
client = EverOS()
settings = client.v1.settings
response = settings.retrieve()
print(response)curl --request GET \
--url 'https://api.evermind.ai/api/v1/settings' \
--header 'Authorization: Bearer <api_key>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.evermind.ai/api/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"timezone": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"llm_custom_setting": {}
}
}{
"code": "NotFound",
"message": "Settings not found. Call PUT /api/v1/settings to initialize.",
"request_id": "unknown",
"timestamp": "2026-03-24T00:00:00+00:00",
"path": "/api/v1/settings"
}{
"code": "<string>",
"message": "<string>",
"timestamp": "<string>",
"path": "<string>",
"request_id": "unknown"
}Settings
Get memory space settings
Get the singleton global settings for this memory space.
GET
/
api
/
v1
/
settings
Python
from everos_cloud import EverOS
client = EverOS()
settings = client.v1.settings
response = settings.retrieve()
print(response)Authorizations
Bearer authentication header of the form Bearer 'api_key', obtain your API key from everos.evermind.ai.
Response
Settings retrieved
Show child attributes
Show child attributes
Was this page helpful?
⌘I

